/*

Copyright (C) 2001,2002 Neil Cafferkey

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef LIBRARY_H
#define LIBRARY_H


#include <exec/types.h>
#include <exec/libraries.h>
#include <exec/execbase.h>
#include <libraries/pccard.h>

#ifndef UPINT
typedef ULONG UPINT;
typedef LONG PINT;
#endif


struct PCCardBase
{
   struct Library library;
   APTR seg_list;
   struct ExecBase *sys_base;
   struct UtilityBase *utility_base;
};


#define LEWord(P) (*(P)|(*((P)+1)<<8))


#define SysBase base->sys_base
#define UtilityBase base->utility_base



#endif
